> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finventi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read account list

> Returns the identifiers of the available payment accounts



## OpenAPI

````yaml get /open-banking/v1/accounts
openapi: 3.0.3
info:
  title: Ledger Client API
  version: 1.0.0
  description: API for ledger operations - parties, accounts, transactions
servers: []
security: []
tags:
  - name: Account Statements
    description: Retrieve account transaction history
  - name: Accounts
    description: Account management operations
  - name: Open Banking - Accounts
    description: PSD2 Account Information Service (AIS) - Account endpoints
  - name: Open Banking - Funds Confirmation
    description: PSD2 Confirmation of Funds Service (PIIS)
  - name: Open Banking - Payments
    description: PSD2 Payment Initiation Service (PIS)
  - name: Open Banking - Transactions
    description: PSD2 Account Information Service (AIS) - Transaction endpoints
  - name: Parties
    description: Party management operations
  - name: Payments
    description: Payment operations
  - name: Transaction Postings
    description: Retrieve transaction postings
  - name: Transactions
    description: Transaction execution operations
paths:
  /open-banking/v1/accounts:
    get:
      tags:
        - Open Banking - Accounts
      summary: Read account list
      description: >-
        Read the identifiers of the available payment accounts to which an
        account access has been granted through the /consents endpoint by the
        PSU
      parameters:
        - description: >-
            If contained, this function reads the list of accessible payment
            accounts including the booking balance
          name: withBalance
          in: query
          schema:
            type: boolean
            nullable: true
        - description: ID of the consent resource
          example: consent-1234-5678
          required: true
          name: Consent-ID
          in: header
          schema:
            type: string
        - description: >-
            ID of the request, unique to the call, as determined by the
            initiating party
          example: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
          required: true
          name: X-Request-ID
          in: header
          schema:
            type: string
      responses:
        '200':
          description: Account list successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AccountsResponse:
      required:
        - accounts
      type: object
      properties:
        accounts:
          description: List of available payment accounts
          type: array
          items:
            $ref: '#/components/schemas/AccountResponse'
    ErrorResponse:
      description: NextGenPSD2 error response body
      type: object
      properties:
        tppMessages:
          description: Messages to the TPP on operational issues
          type: array
          items:
            $ref: '#/components/schemas/TppMessage'
          nullable: true
        _links:
          description: HATEOAS links
          type: object
          allOf:
            - $ref: '#/components/schemas/Links'
          nullable: true
    AccountResponse:
      description: >-
        Account details information as defined in Section 14.20 of the Berlin
        Group XS2A spec
      required:
        - currency
      type: object
      properties:
        resourceId:
          description: Account identifier as used in the API paths
          type: string
          example: 3dc3d5b3-7023-4848-9853-f5400a64e80f
          nullable: true
        iban:
          description: IBAN of the account
          type: string
          example: DE2310010010123456788
          nullable: true
        bban:
          description: BBAN of the account, for payment accounts which have no IBAN
          type: string
          example: '1234567890'
          nullable: true
        msisdn:
          description: >-
            Alias to access a payment account via a registered mobile phone
            number
          type: string
          example: '+49170123456'
          nullable: true
        currency:
          description: ISO 4217 currency code
          type: string
          example: EUR
        ownerName:
          description: Name of the legal account owner
          type: string
          example: Heike Mustermann
          nullable: true
        ownerNames:
          description: List of owner names
          type: array
          items:
            $ref: '#/components/schemas/AccountOwner'
          nullable: true
        psuName:
          description: >-
            Name of the PSU, might differ from account owner in corporate
            context
          type: string
          example: Max Mustermann
          nullable: true
        name:
          description: Name of the account as assigned by the ASPSP
          type: string
          example: Main Account
          nullable: true
        displayName:
          description: Name of the account as defined by the PSU within online channels
          type: string
          example: My daily account
          nullable: true
        product:
          description: Product name of the bank for this account
          type: string
          example: Girokonto
          nullable: true
        cashAccountType:
          description: ExternalCashAccountType1Code from ISO 20022
          type: string
          example: CACC
          nullable: true
        status:
          description: Account status
          enum:
            - enabled
            - deleted
            - blocked
          type: string
          example: enabled
          nullable: true
        bic:
          description: BIC associated to the account
          type: string
          example: DEUTDEDBFRA
          nullable: true
        linkedAccounts:
          description: A cash account associated to pending card transactions
          type: string
          example: Savings Account
          nullable: true
        usage:
          description: Specifies the usage of the account
          enum:
            - PRIV
            - ORGA
          type: string
          example: PRIV
          nullable: true
        details:
          description: Specifications about the account provided by the ASPSP
          type: string
          nullable: true
        balances:
          description: Balances for this account
          type: array
          items:
            $ref: '#/components/schemas/Balance'
          nullable: true
        _links:
          description: HATEOAS links to related resources
          type: object
          allOf:
            - $ref: '#/components/schemas/Links'
          nullable: true
    TppMessage:
      description: TPP message information
      required:
        - category
        - code
      type: object
      properties:
        category:
          description: Category of the error
          enum:
            - ERROR
            - WARNING
          type: string
          example: ERROR
        code:
          description: Message code as defined by the Berlin Group
          type: string
          example: SERVICE_UNAVAILABLE
        path:
          description: Path of the field causing the error, if applicable
          type: string
          example: access.balances
          nullable: true
        text:
          description: Additional explaining text
          type: string
          example: The ASPSP server is currently unavailable
          nullable: true
    Links:
      description: HATEOAS links as defined in Section 14.6, conforming to HAL
      type: object
      properties:
        scaRedirect:
          description: >-
            Link to an ASPSP site where SCA is performed within the Redirect SCA
            approach
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        scaOAuth:
          description: Link to the OAuth2 authorisation server configuration of the ASPSP
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        confirmation:
          description: URL to be updated with confirmation code or access token after SCA
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisation:
          description: Link to start the authorisation process
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithPsuIdentification:
          description: Link to start authorisation with PSU identification
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updatePsuIdentification:
          description: Link to update PSU identification
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithProprietaryData:
          description: Link to start authorisation with proprietary data
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateProprietaryData:
          description: Link to update proprietary data
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithPsuAuthentication:
          description: Link to start authorisation with PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updatePsuAuthentication:
          description: Link to update PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateAdditionalPsuAuthentication:
          description: Link to update additional PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithEncryptedPsuAuthentication:
          description: Link to start authorisation with encrypted PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateEncryptedPsuAuthentication:
          description: Link to update encrypted PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        updateAdditionalEncryptedPsuAuthentication:
          description: Link to update additional encrypted PSU authentication
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        startAuthorisationWithAuthenticationMethodSelection:
          description: Link to start authorisation with authentication method selection
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        selectAuthenticationMethod:
          description: Link to select an authentication method
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        creditorNameConfirmation:
          description: Creditor name confirmation link for VOP services
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        self:
          description: >-
            Link to the payment initiation or consent resource created by this
            request
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        status:
          description: Link to retrieve the transaction status of the payment initiation
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        scaStatus:
          description: Link to retrieve the SCA status
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        account:
          description: Link to the resource providing details of one account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        balances:
          description: Link to the resource providing the balance of a dedicated account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        transactions:
          description: >-
            Link to the resource providing the transaction history of a
            dedicated account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        cardAccount:
          description: Link to the resource providing the details of one card account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        cardTransactions:
          description: >-
            Link to the resource providing the transaction history of a
            dedicated card account
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        transactionDetails:
          description: Link to the resource providing details of a dedicated transaction
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        first:
          description: Navigation link for paginated account reports - first page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        next:
          description: Navigation link for paginated account reports - next page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        previous:
          description: Navigation link for paginated account reports - previous page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        last:
          description: Navigation link for paginated account reports - last page
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
        download:
          description: Download link for huge AIS data packages
          type: object
          allOf:
            - $ref: '#/components/schemas/HrefType'
          nullable: true
    AccountOwner:
      description: Account owner as defined in Section 14.33
      required:
        - name
      type: object
      properties:
        name:
          description: Account owner name
          type: string
          example: Heike Mustermann
        role:
          description: Role of the account owner
          enum:
            - owner
            - legalRepresentative
            - authorisedUser
          type: string
          example: owner
          nullable: true
    Balance:
      description: Single balance element
      required:
        - balanceAmount
        - balanceType
      type: object
      properties:
        balanceAmount:
          description: Balance amount
          type: object
          allOf:
            - $ref: '#/components/schemas/Amount'
        balanceType:
          description: Balance type
          enum:
            - closingBooked
            - expected
            - openingBooked
            - interimAvailable
            - interimBooked
            - forwardAvailable
            - nonInvoiced
          type: string
          example: closingBooked
        creditLimitIncluded:
          description: >-
            Flag indicating if the credit limit of the account is included in
            the balance calculation
          type: boolean
          nullable: true
        lastChangeDateTime:
          description: Last date and time the balance was changed
          type: string
          example: '2025-11-27T15:30:35.035Z'
          nullable: true
        referenceDate:
          description: Reference date of the balance
          type: string
          example: '2025-11-27T00:00:00.000Z'
          nullable: true
        lastCommittedTransaction:
          description: >-
            Entry reference of the last committed transaction to support delta
            access
          type: string
          example: ENT-0001
          nullable: true
    HrefType:
      description: Hyperlink reference
      required:
        - href
      type: object
      properties:
        href:
          description: Link URL
          type: string
          example: /v1/payments/sepa-credit-transfers/1234-payment-567
    Amount:
      description: Amount information
      required:
        - currency
        - amount
      type: object
      properties:
        currency:
          description: ISO 4217 currency code
          maxLength: 3
          minLength: 3
          type: string
          example: EUR
        amount:
          description: >-
            The amount given with fractional digits, where fractions must be
            compliant to the currency definition. Up to 14 significant figures.
            Negative amounts are signed by minus
          type: string
          example: '123.50'

````